{pkgs, ...}: {
  android = {
    enable = true;
    emulator.enable = false;
    flutter.enable = true;
    flutter.package = pkgs.flutter;

    buildTools.version = [
      # Put version to compile with first!
      "35.0.0"
      "33.0.1"
      "34.0.0"
    ];
    platforms.version = [
      "35"
      "34"
    ];
    ndk.enable = true;
    ndk.version = [
      "27.2.12479018"
      "27.0.12077973"
      "26.3.11579264"
      "25.1.8937393"
    ];
    extraLicenses = [
      "android-googlexr-license"
      "android-sdk-preview-license"
      "android-googletv-license"
      "android-sdk-arm-dbt-license"
      "google-gdk-license"
      "intel-android-extra-license"
      "intel-android-sysimage-license"
      "mips-android-sysimage-license"
    ];
  };

  packages = with pkgs; [
    # Needed by flutter_secure_storage
    libsecret.dev
  ];

  processes.web-server = {
    exec = "python -m http.server 8080 -d build/web";
  };

  scripts = {
    web-to-container.exec = ''
      flutter build web --release
      docker build -t sheetless .
    '';
  };
}
